#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "BarCode.Common/Exceptions/BarCodeException.h"
#include "aspose_barcode_api_defs.h"

namespace System
{
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

class Details_InvalidCodeException;
using InvalidCodeException = System::ExceptionWrapper<Details_InvalidCodeException>;

class ASPOSE_BARCODE_SHARED_CLASS Details_InvalidCodeException : public Aspose::BarCode::Details_BarCodeException
{
    typedef Details_InvalidCodeException ThisType;
    typedef Aspose::BarCode::Details_BarCodeException BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
    friend class System::ExceptionWrapperHelper;
    template <typename T> friend class System::ExceptionWrapper;
    
protected:

    [[noreturn]] void DoThrow(const System::ExceptionPtr& self) const override;
    
    ASPOSE_BARCODE_SHARED_API Details_InvalidCodeException();
    
    ASPOSE_BARCODE_SHARED_API MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(Details_InvalidCodeException, CODEPORTING_ARGS());
    
    ASPOSE_BARCODE_SHARED_API Details_InvalidCodeException(System::String message);
    
    ASPOSE_BARCODE_SHARED_API MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(Details_InvalidCodeException, CODEPORTING_ARGS(System::String message));
    
};

} // namespace BarCode
} // namespace Aspose


