#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="BarcodeClassifications.cs" company="Aspose Pty Ltd" author="Alex Baranov" date="10/19/2016 5:44:38 PM">
//Copyright (c) 2001-2012 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class BarcodeClassifications
{
    None,
    Type1D,
    Type2D,
    Postal,
    Databar,
    Coupon
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::BarcodeClassifications>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::BarcodeClassifications, const char_t*>, 6>& values();
};



