#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class DataMatrixEncodeMode
{
    Auto = 0,
    ASCII = 1,
    Bytes = 6,
    C40 = 8,
    Text = 9,
    EDIFACT = 10,
    ANSIX12 = 11,
    ExtendedCodetext = 12,
    Extended = 13,
    Base256 = 14,
    Binary = 15,
    ECI = 16
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::DataMatrixEncodeMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::DataMatrixEncodeMode, const char_t*>, 12>& values();
};



