#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class ECIEncodings
{
    ISO_8859_1 = 3,
    ISO_8859_2 = 4,
    ISO_8859_3 = 5,
    ISO_8859_4 = 6,
    ISO_8859_5 = 7,
    ISO_8859_6 = 8,
    ISO_8859_7 = 9,
    ISO_8859_8 = 10,
    ISO_8859_9 = 11,
    ISO_8859_10 = 12,
    ISO_8859_11 = 13,
    ISO_8859_13 = 15,
    ISO_8859_14 = 16,
    ISO_8859_15 = 17,
    ISO_8859_16 = 18,
    Shift_JIS = 20,
    Win1250 = 21,
    Win1251 = 22,
    Win1252 = 23,
    Win1256 = 24,
    UTF16BE = 25,
    UTF8 = 26,
    US_ASCII = 27,
    Big5 = 28,
    GB2312 = 29,
    EUC_KR = 30,
    GBK = 31,
    GB18030 = 32,
    UTF16LE = 33,
    UTF32BE = 34,
    UTF32LE = 35,
    INVARIANT = 170,
    BINARY = 899,
    NONE = 0
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::ECIEncodings>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::ECIEncodings, const char_t*>, 34>& values();
};



