#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

//ISO 15434
class MacroCharacterValues : public System::Object
{
    typedef MacroCharacterValues ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    RTTI_INFO_DECL();
    
public:

    static const System::String Macro05Header;
    static const System::String Macro06Header;
    static const System::String MacroTrailer;
    
};

enum class MacroCharacter
{
    None = 0,
    Macro05 = 5,
    Macro06 = 6
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::MacroCharacter>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::MacroCharacter, const char_t*>, 3>& values();
};



