#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class MaxiCodeEncodeMode
{
    Auto = 0,
    Bytes = 1,
    ExtendedCodetext = 2,
    Extended = 3,
    Binary = 4,
    ECI = 5
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::MaxiCodeEncodeMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::MaxiCodeEncodeMode, const char_t*>, 6>& values();
};



