#pragma once
// Copyright (c) 2001-2022 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class MaxiCodeMode
{
    Mode2 = 2,
    Mode3 = 3,
    Mode4 = 4,
    Mode5 = 5,
    Mode6 = 6
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::MaxiCodeMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::MaxiCodeMode, const char_t*>, 5>& values();
};



