#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class QRVersion
{
    Auto = 0,
    Version01 = 1,
    Version02 = 2,
    Version03 = 3,
    Version04 = 4,
    Version05 = 5,
    Version06 = 6,
    Version07 = 7,
    Version08 = 8,
    Version09 = 9,
    Version10 = 10,
    Version11 = 11,
    Version12 = 12,
    Version13 = 13,
    Version14 = 14,
    Version15 = 15,
    Version16 = 16,
    Version17 = 17,
    Version18 = 18,
    Version19 = 19,
    Version20 = 20,
    Version21 = 21,
    Version22 = 22,
    Version23 = 23,
    Version24 = 24,
    Version25 = 25,
    Version26 = 26,
    Version27 = 27,
    Version28 = 28,
    Version29 = 29,
    Version30 = 30,
    Version31 = 31,
    Version32 = 32,
    Version33 = 33,
    Version34 = 34,
    Version35 = 35,
    Version36 = 36,
    Version37 = 37,
    Version38 = 38,
    Version39 = 39,
    Version40 = 40,
    VersionM1 = 101,
    VersionM2 = 102,
    VersionM3 = 103,
    VersionM4 = 104
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::QRVersion>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::QRVersion, const char_t*>, 45>& values();
};



