#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="HistogramItemType.cs" company="Aspose Pty Ltd" author="Evgeniy Timofeev" date="30.12.2015 19:53:58">
//     Copyright (c) 2010-2015 Aspose Pty Ltd. All rights reserved
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

namespace Common {

namespace Algorithms {

enum class HistogramItemType
{
    Regular,
    Minimum,
    Maximum,
    Unknown
};

} // namespace Algorithms
} // namespace Common
} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::Common::Algorithms::HistogramItemType>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::Common::Algorithms::HistogramItemType, const char_t*>, 4>& values();
};



