#pragma once
// Copyright (c) 2001-2011 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

namespace Recognition {

namespace Pdf417 {

namespace StateHandler {

enum class Pdf417TextModeCharset
{
    LowerAlpha_CharSet = 0,
    Mixed_CharSet = 1,
    Punctuation_CharSet = 2,
    UpperAlpha_CharSet = 3
};

} // namespace StateHandler
} // namespace Pdf417
} // namespace Recognition
} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::Recognition::Pdf417::StateHandler::Pdf417TextModeCharset>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::Recognition::Pdf417::StateHandler::Pdf417TextModeCharset, const char_t*>, 4>& values();
};



