#pragma once
// Copyright (c) 2001-2019 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>
#include <cstdint>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

enum class BarCodeConfidence : int32_t
{
    None = 0,
    Moderate = 80,
    Strong = 100
};

} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::BarCodeConfidence>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::BarCodeConfidence, const char_t*>, 3>& values();
};



