#pragma once
//Copyright(c) 2001-2024 Aspose Pty Ltd.All rights reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

enum class XDimensionMode
{
    Auto = 0,
    Small = 1,
    Normal = 2,
    Large = 3,
    UseMinimalXDimension = 4
};

} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::XDimensionMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::XDimensionMode, const char_t*>, 5>& values();
};



