#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include "Encoders/QREncoder/ExtCodetextBuilder.h"
#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
namespace Generation
{
class ExtCodetextBuilder;
} // namespace Generation
} // namespace BarCode
} // namespace Aspose
namespace System
{
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

namespace Generation {

class ASPOSE_BARCODE_SHARED_CLASS AztecExtCodetextBuilder : public Aspose::BarCode::Generation::ExtCodetextBuilder
{
    typedef AztecExtCodetextBuilder ThisType;
    typedef Aspose::BarCode::Generation::ExtCodetextBuilder BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
public:

    ASPOSE_BARCODE_SHARED_API System::String GetExtendedCodetext() override;
    
protected:

    System::String ConvertToStringPlainCodetext(System::SharedPtr<ExtCodetextBuilder::ExtCodeItem> aItem, bool isShield);
    System::String ConvertToStringECICodetext(System::SharedPtr<ExtCodetextBuilder::ExtCodeItem> aItem);
    
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose


