#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="DotCodeState.cs" company="Aspose Pty Ltd" author="Evgeniy Timofeev" date="12.04.2016 17:49:15">
//     Copyright (c) 2016 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

enum class DotCodeCodeset
{
    SetA = 1,
    SetB = 2,
    SetC = 3,
    BinaryMode = 4
};

} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::DotCodeCodeset>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::DotCodeCodeset, const char_t*>, 4>& values();
};



