#pragma once

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

enum class MaxiCodeSet
{
    A,
    B,
    C,
    D,
    E
};

} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::MaxiCodeSet>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::MaxiCodeSet, const char_t*>, 5>& values();
};



