#pragma once
// Copyright (c) 2001-2017 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Drawing {

enum class HorizontalTextAlignment
{
    Left = 0,
    Center = 1,
    Right = 2
};

} // namespace Drawing
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Drawing::HorizontalTextAlignment>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Drawing::HorizontalTextAlignment, const char_t*>, 3>& values();
};



