#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.
// To compile metered for your product, make sure your product is mentioned here and add a conditional 
// compilation constant to your project properties (both to Debug and Release configurations).

#include <system/object.h>

#include "aspose_barcode_api_defs.h"

namespace System
{
class Decimal;
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

class ASPOSE_BARCODE_SHARED_CLASS Metered : public System::Object
{
    typedef Metered ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
public:

    ASPOSE_BARCODE_SHARED_API Metered();
    
    ASPOSE_BARCODE_SHARED_API void SetMeteredKey(System::String publicKey, System::String privateKey);
    static ASPOSE_BARCODE_SHARED_API System::Decimal GetConsumptionQuantity();
    static ASPOSE_BARCODE_SHARED_API System::Decimal GetConsumptionCredit();
    ASPOSE_BARCODE_SHARED_API System::String GetProductName();
    static ASPOSE_BARCODE_SHARED_API bool IsMeteredLicensed();
    
};

} // namespace BarCode
} // namespace Aspose


