#pragma once

#include <system/string.h>
#include <system/attribute.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
enum class XmlSerializationType;
} // namespace BarCode
} // namespace Aspose

namespace Aspose {

namespace BarCode {

class ASPOSE_BARCODE_SHARED_CLASS XmlSerializationAttribute : public System::Attribute
{
    typedef XmlSerializationAttribute ThisType;
    typedef System::Attribute BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
public:

    ASPOSE_BARCODE_SHARED_API XmlSerializationType get_Type() const;
    ASPOSE_BARCODE_SHARED_API void set_Type(XmlSerializationType value);
    ASPOSE_BARCODE_SHARED_API System::String get_Name() const;
    ASPOSE_BARCODE_SHARED_API void set_Name(System::String value);
    ASPOSE_BARCODE_SHARED_API System::SharedPtr<System::Object> get_DefaultValue() const;
    ASPOSE_BARCODE_SHARED_API void set_DefaultValue(System::SharedPtr<System::Object> value);
    
    ASPOSE_BARCODE_SHARED_API XmlSerializationAttribute();
    
protected:

    #ifdef ASPOSE_GET_SHARED_MEMBERS
    ASPOSE_BARCODE_SHARED_API void GetSharedMembers(System::Object::shared_members_type& result) const override;
    #endif
    
    
private:

    XmlSerializationType pr_Type;
    System::String pr_Name;
    System::SharedPtr<System::Object> pr_DefaultValue;
    
};

} // namespace BarCode
} // namespace Aspose


