#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="MicroPDF417Constants.cs" company="Aspose Pty Ltd" author="A. Tyutyunik" date="18.01.2013 16:20:15">
//     Copyright (c) 2001-2011 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Common {

namespace Constants {

enum class RowAddressPatternType
{
    Side,
    Center
};

} // namespace Constants
} // namespace Common
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Common::Constants::RowAddressPatternType>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Common::Constants::RowAddressPatternType, const char_t*>, 2>& values();
};



