#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/exceptions.h>

#include "aspose_barcode_api_defs.h"

namespace System
{
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

class Details_BarCodeException;
using BarCodeException = System::ExceptionWrapper<Details_BarCodeException>;

class ASPOSE_BARCODE_SHARED_CLASS Details_BarCodeException : public System::Details_Exception
{
    typedef Details_BarCodeException ThisType;
    typedef System::Details_Exception BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
    friend class System::ExceptionWrapperHelper;
    template <typename T> friend class System::ExceptionWrapper;
    
protected:

    [[noreturn]] void DoThrow(const System::ExceptionPtr& self) const override;
    
    ASPOSE_BARCODE_SHARED_API Details_BarCodeException();
    
    ASPOSE_BARCODE_SHARED_API MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(Details_BarCodeException, CODEPORTING_ARGS());
    
    ASPOSE_BARCODE_SHARED_API Details_BarCodeException(System::String message);
    
    ASPOSE_BARCODE_SHARED_API MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(Details_BarCodeException, CODEPORTING_ARGS(System::String message));
    
    ASPOSE_BARCODE_SHARED_API Details_BarCodeException(System::String message, System::Exception innerException);
    
    ASPOSE_BARCODE_SHARED_API MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(Details_BarCodeException, CODEPORTING_ARGS(System::String message, System::Exception innerException));
    
};

} // namespace BarCode
} // namespace Aspose


