#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include "BarCode.Generation/EncodeTypes/BaseEncodeType.h"
#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
namespace Generation
{
enum class BarcodeClassifications;
class EncodeTypes;
} // namespace Generation
} // namespace BarCode
} // namespace Aspose
namespace System
{
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

namespace Generation {

class ASPOSE_BARCODE_SHARED_CLASS SymbologyEncodeType : public Aspose::BarCode::Generation::BaseEncodeType
{
    typedef SymbologyEncodeType ThisType;
    typedef Aspose::BarCode::Generation::BaseEncodeType BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::BarCode::Generation::EncodeTypes;
    
protected:

    SymbologyEncodeType(int16_t typeIndex, System::String typeName, BarcodeClassifications classification);
    
    MEMBER_FUNCTION_MAKE_OBJECT_DECLARATION(SymbologyEncodeType, CODEPORTING_ARGS(int16_t typeIndex, System::String typeName, BarcodeClassifications classification));
    
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose


