#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class BarCodeImageFormat
{
    Bmp,
    Gif,
    Jpeg,
    Png,
    Tiff,
    TiffInCmyk,
    Emf,
    Svg,
    Pdf
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::BarCodeImageFormat>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::BarCodeImageFormat, const char_t*>, 9>& values();
};



