#pragma once
// Copyright (c) 2001-2021 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>
#include <cstdint>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class CodabarSymbol : int16_t
{
    A = static_cast<int16_t>((int16_t)u'A'),
    B = static_cast<int16_t>((int16_t)u'B'),
    C = static_cast<int16_t>((int16_t)u'C'),
    D = static_cast<int16_t>((int16_t)u'D')
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::CodabarSymbol>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::CodabarSymbol, const char_t*>, 4>& values();
};



