#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class Code128EncodeMode
{
    Auto = 0,
    CodeA = 1,
    CodeB = 2,
    CodeC = 4,
    CodeAB = 3,
    CodeAC = 5,
    CodeBC = 6
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::Code128EncodeMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::Code128EncodeMode, const char_t*>, 7>& values();
};



