#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="EccType.cs" company="Aspose Pty Ltd" author="Evgeniy Timofeev" date="29.09.2014 19:53:59">
//     Copyright (c) 2010-2021 Aspose Pty Ltd. All rights reserved
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class DataMatrixEccType
{
    EccAuto,
    Ecc000,
    Ecc050,
    Ecc080,
    Ecc100,
    Ecc140,
    Ecc200
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::DataMatrixEccType>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::DataMatrixEccType, const char_t*>, 7>& values();
};



