#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="EnableChecksum.cs" company="Aspose Pty Ltd" author="A. Tyutyunik" date="05.06.2012 14:28:39">
//     Copyright (c) 2001-2021 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class EnableChecksum
{
    Default,
    Yes,
    No
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::EnableChecksum>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::EnableChecksum, const char_t*>, 3>& values();
};



