#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class HanXinVersion
{
    Auto = 0,
    Version01 = 1,
    Version02 = 2,
    Version03 = 3,
    Version04 = 4,
    Version05 = 5,
    Version06 = 6,
    Version07 = 7,
    Version08 = 8,
    Version09 = 9,
    Version10 = 10,
    Version11 = 11,
    Version12 = 12,
    Version13 = 13,
    Version14 = 14,
    Version15 = 15,
    Version16 = 16,
    Version17 = 17,
    Version18 = 18,
    Version19 = 19,
    Version20 = 20,
    Version21 = 21,
    Version22 = 22,
    Version23 = 23,
    Version24 = 24,
    Version25 = 25,
    Version26 = 26,
    Version27 = 27,
    Version28 = 28,
    Version29 = 29,
    Version30 = 30,
    Version31 = 31,
    Version32 = 32,
    Version33 = 33,
    Version34 = 34,
    Version35 = 35,
    Version36 = 36,
    Version37 = 37,
    Version38 = 38,
    Version39 = 39,
    Version40 = 40,
    Version41 = 41,
    Version42 = 42,
    Version43 = 43,
    Version44 = 44,
    Version45 = 45,
    Version46 = 46,
    Version47 = 47,
    Version48 = 48,
    Version49 = 49,
    Version50 = 50,
    Version51 = 51,
    Version52 = 52,
    Version53 = 53,
    Version54 = 54,
    Version55 = 55,
    Version56 = 56,
    Version57 = 57,
    Version58 = 58,
    Version59 = 59,
    Version60 = 60,
    Version61 = 61,
    Version62 = 62,
    Version63 = 63,
    Version64 = 64,
    Version65 = 65,
    Version66 = 66,
    Version67 = 67,
    Version68 = 68,
    Version69 = 69,
    Version70 = 70,
    Version71 = 71,
    Version72 = 72,
    Version73 = 73,
    Version74 = 74,
    Version75 = 75,
    Version76 = 76,
    Version77 = 77,
    Version78 = 78,
    Version79 = 79,
    Version80 = 80,
    Version81 = 81,
    Version82 = 82,
    Version83 = 83,
    Version84 = 84
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::HanXinVersion>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::HanXinVersion, const char_t*>, 85>& values();
};



