#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

/// @deprecated This properties are obsolete and will be removed in future releases. Instead, use the Pdf417EncodeMode properties. False
enum class Pdf417CompactionMode
{
    Auto = 0,
    Text = 1,
    Numeric = 2,
    Binary = 3
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::Pdf417CompactionMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::Pdf417CompactionMode, const char_t*>, 4>& values();
};



