#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class QREncodeMode
{
    Auto = 0,
    Bytes = 1,
    Utf8BOM = 2,
    Utf16BEBOM = 3,
    ECIEncoding = 4,
    ExtendedCodetext = 5,
    Extended = 6,
    Binary = 7,
    ECI = 8
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::QREncodeMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::QREncodeMode, const char_t*>, 9>& values();
};



