#pragma once
// Copyright (c) 2001-2024 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace Generation {

enum class RectMicroQRVersion
{
    Auto,
    R7x43,
    R7x59,
    R7x77,
    R7x99,
    R7x139,
    R9x43,
    R9x59,
    R9x77,
    R9x99,
    R9x139,
    R11x27,
    R11x43,
    R11x59,
    R11x77,
    R11x99,
    R11x139,
    R13x27,
    R13x43,
    R13x59,
    R13x77,
    R13x99,
    R13x139,
    R15x43,
    R15x59,
    R15x77,
    R15x99,
    R15x139,
    R17x43,
    R17x59,
    R17x77,
    R17x99,
    R17x139
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::Generation::RectMicroQRVersion>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::Generation::RectMicroQRVersion, const char_t*>, 33>& values();
};



