#pragma once
// Copyright (c) 2001-2025 Aspose Pty Ltd. All Rights Reserved.

#include <system/object.h>
#include <cstdint>

#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
namespace Drawing
{
class PdfCanvas;
} // namespace Drawing
} // namespace BarCode
} // namespace Aspose

namespace Aspose {

namespace BarCode {

namespace Generation {

class ASPOSE_BARCODE_SHARED_CLASS CMYKColor : public System::Object
{
    typedef CMYKColor ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::BarCode::Drawing::PdfCanvas;
    
public:

    ASPOSE_BARCODE_SHARED_API CMYKColor(int32_t c, int32_t m, int32_t y, int32_t k);
    
protected:

    float C;
    float M;
    float Y;
    float K;
    
};

} // namespace Generation
} // namespace BarCode
} // namespace Aspose


