#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="ChecksumValidation.cs" company="Aspose Pty Ltd" author="A. Tyutyunik" date="11.06.2012 11:25:51">
//     Copyright (c) 2001-2011 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

enum class ChecksumValidation
{
    Default,
    On,
    Off
};

} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::ChecksumValidation>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::ChecksumValidation, const char_t*>, 3>& values();
};



