#pragma once
//-----------------------------------------------------------------------------------------------------------
// <copyright file="EncodingState.cs" company="Aspose Pty Ltd" author="A. Tyutyunik" date="30.07.2013 14:45:36">
//     Copyright (c) 2001-2011 Aspose Pty Ltd. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------------------------------------------

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

namespace DataMatrix {

namespace StateHandler {

enum class EncodingState
{
    End = -1,
    ASCII = 0,
    C40 = 1,
    Text = 2,
    ANSIX12 = 3,
    Edifact = 4,
    Base256 = 5,
    PAD = 6,
    StructuredAppend = 7
};

} // namespace StateHandler
} // namespace DataMatrix
} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::DataMatrix::StateHandler::EncodingState>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::DataMatrix::StateHandler::EncodingState, const char_t*>, 9>& values();
};



