#pragma once
// Copyright (c) 2001-2011 Aspose Pty Ltd. All Rights Reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

namespace QR {

namespace StateHandler {

enum class EncodingState
{
    End = -1,
    Start = 0,
    Numeric = 1,
    AlphaNumeric = 2,
    Byte = 3,
    Kanji = 4,
    StructuredAppend = 5,
    ECI = 6,
    FNC1FirstPos = 7,
    FNC1SecondPos = 8
};

} // namespace StateHandler
} // namespace QR
} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::QR::StateHandler::EncodingState>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::QR::StateHandler::EncodingState, const char_t*>, 10>& values();
};



