#pragma once
// Copyright (c) 2001-2019 Aspose Pty Ltd. All Rights Reserved.

#include <system/object.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
namespace BarCodeRecognition
{
class AztecExtendedParameters;
class CodabarExtendedParameters;
class Code128ExtendedParameters;
class DataBarExtendedParameters;
class DataMatrixExtendedParameters;
class DotCodeExtendedParameters;
class GS1CompositeBarExtendedParameters;
class MaxiCodeExtendedParameters;
class OneDExtendedParameters;
class Pdf417ExtendedParameters;
class QRExtendedParameters;
} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

class ASPOSE_BARCODE_SHARED_CLASS BaseExtendedParameters : public System::Object
{
    typedef BaseExtendedParameters ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
    friend class Aspose::BarCode::BarCodeRecognition::AztecExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::CodabarExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::Code128ExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::DataBarExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::DataMatrixExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::DotCodeExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::GS1CompositeBarExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::MaxiCodeExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::OneDExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::Pdf417ExtendedParameters;
    friend class Aspose::BarCode::BarCodeRecognition::QRExtendedParameters;
    
public:

    ASPOSE_BARCODE_SHARED_API bool get_IsEmpty() const;
    
protected:

    bool _isEmpty;
    
    BaseExtendedParameters();
    BaseExtendedParameters(System::SharedPtr<BaseExtendedParameters> aParameters);
    
};

} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose


