#pragma once
//Copyright(c) 2001-2024 Aspose Pty Ltd.All rights reserved.

#include <system/object_ext.h>
#include <system/enum.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose {

namespace BarCode {

namespace BarCodeRecognition {

enum class BarcodeQualityMode
{
    High = 0,
    Normal = 1,
    Low = 2
};

} // namespace BarCodeRecognition
} // namespace BarCode
} // namespace Aspose

template<>
struct EnumMetaInfo<Aspose::BarCode::BarCodeRecognition::BarcodeQualityMode>
{
    static const ASPOSE_BARCODE_SHARED_API std::array<std::pair<Aspose::BarCode::BarCodeRecognition::BarcodeQualityMode, const char_t*>, 3>& values();
};



