#pragma once

#include <system/object.h>

#include "aspose_barcode_api_defs.h"

namespace Aspose
{
namespace BarCode
{
namespace Generation
{
class BaseEncodeType;
} // namespace Generation
} // namespace BarCode
} // namespace Aspose
namespace System
{
class String;
} // namespace System

namespace Aspose {

namespace BarCode {

namespace ComplexBarcode {

class ASPOSE_BARCODE_SHARED_CLASS IComplexCodetext : public virtual System::Object
{
    typedef IComplexCodetext ThisType;
    typedef System::Object BaseType;
    
    typedef ::System::BaseTypesInfo<BaseType> ThisTypeBaseTypesInfo;
    ASPOSE_BARCODE_SHARED_RTTI_INFO_DECL();
    
public:

    virtual System::String GetConstructedCodetext() = 0;
    virtual void InitFromString(System::String constructedCodetext) = 0;
    virtual System::SharedPtr<Aspose::BarCode::Generation::BaseEncodeType> GetBarcodeType() = 0;
    
};

} // namespace ComplexBarcode
} // namespace BarCode
} // namespace Aspose


